<?php
namespace app\attachment\behavior;

class Hook
{
    public function uploadSaveAfter(&$params)
    {
        //dump($params["file"]);1.8.46
        //dump($params["upload"]);1.9.10
        if($params["result"]['attachment']){
            $data = [];
            $data['info_parent']      = 0;//内容ID
            $data['info_name']        = $params["result"]['file_name'];
            $data['info_slug']        = $params["result"]['slug'];//sha1/md5
            $data['info_title']       = $params["result"]['old_name'];//原始文件名
            $data['info_excerpt']     = $params["result"]['attachment'];//保存路径
            $data['info_type']        = $params["result"]['ext'];//后缀
            $data['info_order']       = $params["result"]['size'];//文件大小字节
            $data['info_mime_type']   = $params["result"]['type'];//文件类型
            $data['info_user_id']     = DcUserCurrentGetId();
            $data['attachment_score'] = 0;//附件积分
            //保存附件信息
            if($infoId = attachmentSave($data)){
                $params['result']['id'] = $infoId;
            }
        }
    }
}