<?php
namespace app\attachment\event;

class Sql
{
    /**
    * 安装时触发
    * @return bool 只有返回true时才会往下执行
    */
	public function install()
    {
        //批量写入插件动态配置
        model('attachment/Datas','loglic')->insertConfig();
        
        //批量写入插件动态字段
        model('attachment/Datas','loglic')->insertField();
        
        //批量添加后台菜单
        model('attachment/Datas','loglic')->insertMenu();
        
        //清空缓存
        \think\Cache::clear();
        
        //返回结果
        return true;
	}
    
    /**
    * 升级时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function upgrade()
    {
        return model('attachment/Upgrade','loglic')->storeStatus();
    }
    
    /**
    * 卸载时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function remove()
    {
        return model('attachment/Datas','loglic')->remove();
    }
    
    /**
    * 删除时触发
    * @return bool 只有返回true时才会往下执行
    */
    public function unInstall()
    {
        return model('attachment/Datas','loglic')->delete();
	}
	
}